Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema
Class CinemaModuleFactoryInstance

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.DefaultModuleFactoryInstance
            |
            +--uk.ac.man.bioinf.apps.cinema.CinemaModuleFactoryInstance

All Implemented Interfaces:
  ModuleFactoryInstance

public class CinemaModuleFactoryInstance
extends DefaultModuleFactoryInstance

CinemaModuleFactoryInstance.java This class adds some reporting functions to the superclass. Created: Wed Aug 2 13:47:22 2000

Version:
  $Id: CinemaModuleFactoryInstance.java,v 1.4 2001/04/11 17:04:41 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`CinemaModuleFactoryInstance()`

Method Summary
`Module` | `load(ModuleIdentifier identifier)` Loads the module associated with a particular identifier.

Methods inherited from class uk.ac.man.bioinf.module.DefaultModuleFactoryInstance
`addIdentifier, addIdentifier, addRequiredModule, addRequiredModules, destroy, getConfig, getModule, getRequiredModules, isModuleAvailable, resolveClassName, resolveModuleName, setConcreteIdentifier, setConfig, setModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CinemaModuleFactoryInstance

    public CinemaModuleFactoryInstance()

Method Detail

### load

    public Module load(ModuleIdentifier identifier)
                throws ModuleException

  Description copied from interface: `ModuleFactoryInstance`
  Loads the module associated with a particular identifier. This will include a call to the load method of the module. It should also subsequently check that all requried modules are loaded as well.

  Specified by:
    `load` in interface `ModuleFactoryInstance`
  Overrides:
    `load` in class `DefaultModuleFactoryInstance`
  Parameters:
    `identifier` - the identifier
    `ModuleException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD